# Game.Tiger Class Reference

Inherits Game::Animal, and Game::Animal.

Collaboration diagram for Game.Tiger:

[legend]

List of all members.

## Public Member Functions
| Tiger ()
override void | UpdateIA (float elapsedTime, double absTime)
void | UpdateSensors (float elapsedTime, double absTime)
void | PerformStateActions (float elapsedTime, double absTime)
void | Bois (float elapsedTime, double absTime)
void | Dort (float elapsedTime, double absTime)
void | Explore (float elapsedTime, double absTime)
void | Fuit (float elapsedTime, double absTime)
void | Mange (float elapsedTime, double absTime)
| Tiger ()
override void | UpdateIA (float elapsedTime, double absTime)
void | UpdateSensors (float elapsedTime, double absTime)
void | PerformStateActions (float elapsedTime, double absTime)
void | Bois (float elapsedTime, double absTime)
void | Dort (float elapsedTime, double absTime)
void | Explore (float elapsedTime, double absTime)
void | Fuit (float elapsedTime, double absTime)
void | Mange (float elapsedTime, double absTime)
## Public Attributes
bool | Faim = false
double | lastEat = 0
double | angryEvery = 30
double | fullLunch = 10
bool | Soif = false
double | lastDrink = 0
double | drinkEvery = 20
double | fullDrink = 5
bool | ProxNourriture = false
Vector3 | Nourriture
bool | ProxEau = false
Vector3 | Eau
bool | Sommeil = false
double | lastSleep = 0
double | sleepEvery = 50
double | fullSleep = 20
bool | Bruit = false
State | currentState = State.Explore
double | stateTime = 0
bool | stateJustChanged = false
Random | rand

## Detailed Description

Definition at line 27 of file Tiger.cs.

## Constructor & Destructor Documentation

Game.Tiger.Tiger | ( |  | ) |

Definition at line 59 of file Tiger.cs.

Game.Tiger.Tiger | ( |  | ) |

Definition at line 59 of file Tiger.cs.

## Member Function Documentation

void Game.Tiger.Bois | ( | float | elapsedTime,
|  | double | absTime |
| ) |  |  |

Definition at line 128 of file Tiger.cs.

void Game.Tiger.Bois | ( | float | elapsedTime,
|  | double | absTime |
| ) |  |  |

Definition at line 128 of file Tiger.cs.

Here is the caller graph for this function:

void Game.Tiger.Dort | ( | float | elapsedTime,
|  | double | absTime |
| ) |  |  |

Definition at line 150 of file Tiger.cs.

void Game.Tiger.Dort | ( | float | elapsedTime,
|  | double | absTime |
| ) |  |  |

Definition at line 150 of file Tiger.cs.

Here is the caller graph for this function:

void Game.Tiger.Explore | ( | float | elapsedTime,
|  | double | absTime |
| ) |  |  |

Definition at line 170 of file Tiger.cs.

void Game.Tiger.Explore | ( | float | elapsedTime,
|  | double | absTime |
| ) |  |  |

Definition at line 170 of file Tiger.cs.

Here is the caller graph for this function:

void Game.Tiger.Fuit | ( | float | elapsedTime,
|  | double | absTime |
| ) |  |  |

Definition at line 191 of file Tiger.cs.

void Game.Tiger.Fuit | ( | float | elapsedTime,
|  | double | absTime |
| ) |  |  |

Definition at line 191 of file Tiger.cs.

Here is the caller graph for this function:

void Game.Tiger.Mange | ( | float | elapsedTime,
|  | double | absTime |
| ) |  |  |

Definition at line 206 of file Tiger.cs.

void Game.Tiger.Mange | ( | float | elapsedTime,
|  | double | absTime |
| ) |  |  |

Definition at line 206 of file Tiger.cs.

Here is the caller graph for this function:

void Game.Tiger.PerformStateActions | ( | float | elapsedTime,
|  | double | absTime |
| ) |  |  |

Definition at line 104 of file Tiger.cs.

Here is the call graph for this function:

void Game.Tiger.PerformStateActions | ( | float | elapsedTime,
|  | double | absTime |
| ) |  |  |

Definition at line 104 of file Tiger.cs.

Here is the call graph for this function:

override void Game.Tiger.UpdateIA | ( | float | elapsedTime,
|  | double | absTime |
| ) |  |  | `[virtual]`

Reimplemented from Game.WorldEntity.

Definition at line 66 of file Tiger.cs.

override void Game.Tiger.UpdateIA | ( | float | elapsedTime,
|  | double | absTime |
| ) |  |  | `[virtual]`

Reimplemented from Game.WorldEntity.

Definition at line 66 of file Tiger.cs.

void Game.Tiger.UpdateSensors | ( | float | elapsedTime,
|  | double | absTime |
| ) |  |  |

Definition at line 77 of file Tiger.cs.

void Game.Tiger.UpdateSensors | ( | float | elapsedTime,
|  | double | absTime |
| ) |  |  |

Definition at line 77 of file Tiger.cs.

## Member Data Documentation

double Game.Tiger::angryEvery = 30

Definition at line 32 of file Tiger.cs.

bool Game.Tiger::Bruit = false

Definition at line 51 of file Tiger.cs.

State Game.Tiger::currentState = State.Explore

Definition at line 53 of file Tiger.cs.

double Game.Tiger::drinkEvery = 20

Definition at line 37 of file Tiger.cs.

Vector3 Game.Tiger::Eau

Definition at line 43 of file Tiger.cs.

bool Game.Tiger::Faim = false

Definition at line 30 of file Tiger.cs.

double Game.Tiger::fullDrink = 5

Definition at line 38 of file Tiger.cs.

double Game.Tiger::fullLunch = 10

Definition at line 33 of file Tiger.cs.

double Game.Tiger::fullSleep = 20

Definition at line 48 of file Tiger.cs.

double Game.Tiger::lastDrink = 0

Definition at line 36 of file Tiger.cs.

double Game.Tiger::lastEat = 0

Definition at line 31 of file Tiger.cs.

double Game.Tiger::lastSleep = 0

Definition at line 46 of file Tiger.cs.

Vector3 Game.Tiger::Nourriture

Definition at line 41 of file Tiger.cs.

bool Game.Tiger::ProxEau = false

Definition at line 42 of file Tiger.cs.

bool Game.Tiger::ProxNourriture = false

Definition at line 40 of file Tiger.cs.

Random Game.Tiger::rand

Definition at line 57 of file Tiger.cs.

double Game.Tiger::sleepEvery = 50

Definition at line 47 of file Tiger.cs.

bool Game.Tiger::Soif = false

Definition at line 35 of file Tiger.cs.

bool Game.Tiger::Sommeil = false

Definition at line 45 of file Tiger.cs.

bool Game.Tiger::stateJustChanged = false

Definition at line 55 of file Tiger.cs.

double Game.Tiger::stateTime = 0

Definition at line 54 of file Tiger.cs.

The documentation for this class was generated from the following files:

- D:/guillaume/guillara/3D/DXGfx/Backup/World/Tiger.cs
- D:/guillaume/guillara/3D/DXGfx/World/Tiger.cs